import request from './request.js';

// 手机验证码登录获取验证码
export function getCode(param) {
	return request.post('/api/sms/send', param)
}
// 手机验证码登录接口
export function mobileLogin(param) {
	return request.post('/api/candidate.user/mobilelogin', param)
}
//微信授权登录
export function third(param) {
	return request.post('/api/candidate.user/third', param)
}

// 职位列表
export function getList(param) {
	return request.post('/api/candidate.job/get_list', param)
}

//政治面貌
export function politics(param) {
	return request.post('/api/commons/get_political_status', param)
}

//婚姻状态列表
export function marital(param) {
	return request.post('/api/commons/get_marital_status', param)
}

//所有地区列表
export function getAllArea(param) {
	return request.post('/api/commons/getAllArea', param)
}

//求职状态
export function getjob(param) {
	return request.post('/api/commons/get_job_status', param)
}

//求职详情
export function getdetail(param) {
	return request.post('/api/candidate.job/get_detail', param)
}

//收藏接口
export function collect(param) {
	return request.post('/api/candidate.job_collect/collect', param)
}
//公司简介
export function companydetail(param) {
	return request.post('/api/company/get_company_detail', param)
}
//获取招聘职位列表
export function getjoblist(param) {
	return request.post('/api/company/get_company_job_list', param)
}
//公司职位统计
export function jobdata(param) {
	return request.post('/api/company/get_company_job_data', param)
}
//工作年限列表
export function getexperience(param) {
	return request.post('/api/commons/get_experience', param)
}
//获取省市列表
export function getareacity(param) {
	return request.post('/api/commons/get_area_city', param)
}

//论坛列表
export function articlelist(param) {
	return request.get('/api/candidate.forum/article_list', param)
}

//圈子列表
export function grouplist(param) {
	return request.get('/api/candidate.forum/group_list', param)
}

//我的关注-用户列表
export function followuser(param) {
	return request.post('/api/candidate.forum/mine_follow_user', param)
}

//关注-取消关注
export function follow(param) {
	return request.post('/api/candidate.forum/follow', param)
}


//用户中心
export function index(param) {
	return request.post('/api/candidate.user/index', param)
}


//帖子点赞或取消点赞
export function articlelike(param) {
	return request.post('/api/candidate.forum/article_like', param)
}

//评论点赞或取消点赞
export function commentlike(param) {
	return request.post('/api/candidate.forum/comment_like', param)
}

//评论帖子
export function articlecomment(param) {
	return request.post('/api/candidate.forum/article_comment', param)
}

//查看评论
export function readcomment(param) {
	return request.get('/api/candidate.forum/read_comment', param)
}

//帖子详情
export function articledetails(param) {
	return request.post('/api/candidate.forum/article_details', param)
}

//他人主页
export function homepagearticle(param) {
	return request.post('/api/candidate.forum/others_homepage_article', param)
}

//用户关注圈子列表
export function followgrouplist(param) {
	return request.post('/api/candidate.forum/user_follow_group_list', param)
}

//用户创建圈子列表
export function usergrouplist(param) {
	return request.post('/api/candidate.forum/user_group_list', param)
}

//他人主页
export function others_homepage(param) {
	return request.post('/api/candidate.forum/others_homepage', param)
}

//删除帖子
export function del_article(param) {
	return request.post('/api/candidate.forum/del_article', param)
}

//圈子主页用户信息
export function group_details_user(param) {
	return request.post('/api/candidate.forum/group_details_user', param)
}

//圈子主页
export function group_details_article(param) {
	return request.post('/api/candidate.forum/group_details_article', param)
}

//消息列表
export function message(param) {
	return request.post('/api/candidate.forum/get_message_list', param)
}

//圈子列表
export function group_list(param) {
	return request.post('/api/candidate.forum/group_list_mini', param)
}

//发布帖子
export function create_article(param) {
	return request.post('/api/candidate.forum/create_article', param)
}

//创建圈子
export function create_group(param) {
	return request.post('/api/candidate.forum/create_group', param)
}

//查看通知
export function view(param) {
	return request.post('/api/candidate.notification/view', param)
}

//通知列表
export function get_list(param) {
	return request.post('/api/candidate.notification/get_list', param)
}

//推荐行业列表
export function get_category_industry_recommend(param) {
	return request.post('/api/commons/get_category_industry_recommend', param)
}
//推荐职业分类列表
export function get_category_job_recommend(param) {
	return request.post('/api/commons/get_category_job_recommend', param)
}

// 学位要求列表
export function get_education(param) {
	return request.post('/api/commons/get_education', param)
}

// 工作年限列表
export function get_experience(param) {
	return request.post('/api/commons/get_experience', param)
}
// 公司发展阶段列表
export function get_company_stage(param) {
	return request.post('/api/commons/get_company_stage', param)
}

// 公司发展阶段列表
export function activityget_list(param) {
	return request.post('/api/candidate.activity/get_list', param)
}

// 学校认证信息
export function is_auth(param) {
	return request.post('/api/candidate.activity/is_auth', param)
}
// 活动详情
export function get_detail(param) {
	return request.post('/api/candidate.activity/get_detail', param)
}
// 招聘列表
export function get_company_list(param) {
	return request.post('/api/candidate.activity/get_company_list', param)
}

// 招聘介绍
export function get_company_detail(param) {
	return request.post('/api/candidate.activity/get_company_detail', param)
}
// 招聘职位列表
export function get_company_job_list(param) {
	return request.post('/api/candidate.activity/get_company_job_list', param)
}

// 我的收藏列表
export function collect_get_list(param) {
	return request.post('/api/candidate.job_collect/get_list', param)
}

// 谁看过我列表
export function browse_get_list(param) {
	return request.post('/api/candidate.resume_browse/get_list', param)
}

// 修改手机号
export function changemobile(param) {
	return request.post('/api/candidate.user/changemobile', param)
}

// 重置密码
export function resetpwd(param) {
	return request.post('/api/candidate.user/resetpwd', param)
}

// 检验验证码
export function check(param) {
	return request.post('/api/sms/check', param)
}
// 上传文件
export function upload(param) {
	return request.post('/api/common/upload', param)
}
// 协议详情
export function get_agreement_detail(param) {
	return request.post('/api/commons/get_agreement_detail', param)
}
// 资讯精选
export function get_recommend(param) {
	return request.post('/api/article/get_recommend', param)
}
// 全部
export function article_get_list(param) {
	return request.post('/api/article/get_list', param)
}
// 资讯详情
export function article_get_detail(param) {
	return request.post('/api/article/get_detail', param)
}
// 广告列表
export function get_ad_list(param) {
	return request.post('/api/article/get_ad_list', param)
}

// 投递列表
export function orderlist(param) {
	return request.post('/api/candidate.order/list', param)
}

// 会员信息
export function profile(param) {
	return request.post('/api/candidate.user/profile', param)
}

// 行业列表
export function get_category_industry(param) {
	return request.post('/api/commons/get_category_industry', param)
}

// 规模列表
export function get_company_scale(param) {
	return request.post('/api/commons/get_company_scale', param)
}

//获取简历求职期望
export function get_category_job_ids(param) {
	return request.post('/api/candidate.job/get_category_job_ids', param)
}

//职业分类列表
export function get_category_job(param) {
	return request.post('/api/commons/get_category_job', param)
}

//完善简历
export function create(param) {
	return request.post('/api/candidate.resume/create', param)
}

//获取财务配置
export function get_finance_config(param) {
	return request.post('/api/commons/get_finance_config', param)
}

//订单详情
export function order_detail(param) {
	return request.post('/api/candidate.order/detail', param)
}

//获取用户银行卡信息
export function getBank(param) {
	return request.get('/api/candidate.user/getBank', param)
}

//我的佣金列表
export function commission_list(param) {
	return request.post('/api/candidate.order/commission_list', param)
}

//佣金数据
export function commission_data(param) {
	return request.post('/api/candidate.order/commission_data', param)
}
//发起提现
export function withdraw(param) {
	return request.post('/api/candidate.order/withdraw', param)
}

//设置银行账户信息
export function setBank(param) {
	return request.post('/api/candidate.user/setBank', param)
}

//简历详情
export function resumeDetail(param) {
	return request.post('/api/candidate.resume/detail', param)
}

//求职状态列表
export function get_job_status(param) {
	return request.post('/api/commons/get_job_status', param)
}

//数据更新
export function update(param) {
	return request.post('/api/candidate.resume/update', param)
}


//删除
export function destroy(param) {
	return request.post('/api/candidate.resume/destroy', param)
}

//语言列表
export function get_language(param) {
	return request.post('/api/commons/get_language', param)
}

//语言等级列表
export function get_language_level(param) {
	return request.post('/api/commons/get_language_level', param)
}

//首次绑定手机号
export function third_mobile(param) {
	return request.post('/api/candidate.user/third_mobile', param)
}

//识别简历
export function ocr(param) {
	return request.post('/api/candidate.resume/ocr', param)
}

//性别列表
export function get_sex(param) {
	return request.post('/api/commons/get_sex', param)
}

//学生认证
export function activityauth(param) {
	return request.post('/api/candidate.activity/auth', param)
}

//隐私设置
export function private_setting(param) {
	return request.post('/api/candidate.user/private_setting', param)
}

//删除银行卡
export function deleteBank(param) {
	return request.post('/api/candidate.user/deleteBank', param)
}

//删除银行卡
export function refresh(param) {
	return request.post('/api/candidate.resume/refresh', param)
}

//常用语列表
export function phraseList(param) {
	return request.post('/api/candidate.phrase/list', param)
}

//投递简历
export function orderCreate(param) {
	return request.post('/api/candidate.order/create', param)
}

//订单反馈
export function commission_feedback(param) {
	return request.post('/api/candidate.order/commission_feedback', param)
}

//付费求职
export function pay(param) {
	return request.post('/api/candidate.order/pay', param)
}

//校招投递简历
export function activityCreate(param) {
	return request.post('/api/candidate.activity/create', param)
}


//邀请列表
export function invite_list(param) {
	return request.post('/api/candidate.user/invite_list', param)
}
//我的邀请人
export function parent_info(param) {
	return request.post('/api/candidate.user/parent_info', param)
}

//接受面试
export function interview_accept(param) {
	return request.post('/api/candidate.order/interview_accept', param)
}

//拒绝面试
export function interview_refuse(param) {
	return request.post('/api/candidate.order/interview_refuse', param)
}

//接受offer
export function offer_pass(param) {
	return request.post('/api/candidate.order/offer_pass', param)
}

//拒绝面试
export function offer_refuse(param) {
	return request.post('/api/candidate.order/offer_refuse', param)
}

//编辑常用语
export function phrase_update(param) {
	return request.post('/api/candidate.phrase/update', param)
}
//添加常用语
export function phrase_create(param) {
	return request.post('/api/candidate.phrase/create', param)
}

//删除常用语
export function phrase_destory(param) {
	return request.post('/api/candidate.phrase/destory', param)
}

//领域列表
export function get_category_field(param) {
	return request.post('/api/commons/get_category_field', param)
}

//环信数据
export function getEmchatUsersData(param) {
	return request.post('/api/candidate.user/getEmchatUsersData', param)
}


export function notification(param) {
	return request.post('/api/candidate.notification/view', param)
}

//删除圈子
export function del_group(param) {
	return request.post('/api/candidate.forum/del_group', param)
}

//佣金日志列表
export function commission_log_list(param) {
	return request.post('/api/candidate.order/commission_log_list', param)
}
// 论坛未读数量
export function get_total_number(param) {
	return request.post('/api/candidate.forum/get_total_number', param)
}

// 接收聊天消息通知
export function updateNotificationSwitch(param) {
	return request.post('/api/candidate.user/updateNotificationSwitch', param)
}

// 消息通知
export function cget_total_number(param) {
	return request.post('/api/candidate.notification/get_total_number', param)
}

// 上传背景图
export function edit_image(param) {
	return request.post('/api/candidate.forum/edit_image', param)
}





